Share via


Workflow Runs - Get

Gets a workflow run.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{name}/hostruntime/runtime/webhooks/workflow/api/management/workflows/{workflowName}/runs/{runName}?api-version=2025-05-01

URI Parameters

Name In Required Type Description
name
path True

string

Site name.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

runName
path True

string

The workflow run name.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

workflowName
path True

string

The workflow name.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

WorkflowRun

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get a run for a workflow

Sample request

GET https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-resource-group/providers/Microsoft.Web/sites/test-name/hostruntime/runtime/webhooks/workflow/api/management/workflows/test-workflow/runs/08586676746934337772206998657CU22?api-version=2025-05-01

Sample response

{
  "name": "08586676746934337772206998657CU22",
  "type": "Microsoft.Web/workflows/runs",
  "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-resource-group/providers/Microsoft.Web/workflows/test-workflow/runs/08586676746934337772206998657CU22",
  "properties": {
    "correlation": {
      "clientTrackingId": "08586676746934337772206998657CU22"
    },
    "endTime": "2018-08-10T20:16:32.5779999Z",
    "outputs": {},
    "startTime": "2018-08-10T20:16:32.044238Z",
    "status": "Succeeded",
    "trigger": {
      "name": "Recurrence",
      "code": "OK",
      "correlation": {
        "clientTrackingId": "08586676746934337772206998657CU22"
      },
      "endTime": "2018-08-10T20:16:32.0387927Z",
      "scheduledTime": "2018-08-10T20:16:31.6344174Z",
      "startTime": "2018-08-10T20:16:32.0387927Z",
      "status": "Succeeded"
    },
    "waitEndTime": "2018-08-10T20:16:32.044238Z",
    "workflow": {
      "name": "08586676754160363885",
      "type": "Microsoft.Web/workflows/versions",
      "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-resource-group/providers/Microsoft.Web/workflows/test-workflow/versions/08586676754160363885"
    }
  }
}

Definitions

Name Description
ContentHash

The content hash.

ContentLink

The content link.

Correlation

The correlation property.

createdByType

The type of identity that created the resource.

ErrorProperties

Error properties indicate why the Logic service was not able to process the incoming request. The reason is provided in the error message.

ErrorResponse

Error response indicates Logic service is not able to process the incoming request. The error property contains the error details.

ParameterType

The parameter type.

ResourceReference

The resource reference.

systemData

Metadata pertaining to creation and last modification of the resource.

WorkflowOutputParameter

The workflow output parameter.

WorkflowRun

The workflow run.

WorkflowRunTrigger

The workflow run trigger.

WorkflowStatus

The workflow status.

ContentHash

The content hash.

Name Type Description
algorithm

string

The algorithm of the content hash.

value

string

The value of the content hash.

The content link.

Name Type Description
contentHash

ContentHash

The content hash.

contentSize

integer (int64)

The content size.

contentVersion

string

The content version.

metadata

The metadata.

uri

string

The content link URI.

Correlation

The correlation property.

Name Type Description
clientTrackingId

string

The client tracking id.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorProperties

Error properties indicate why the Logic service was not able to process the incoming request. The reason is provided in the error message.

Name Type Description
code

string

Error code.

message

string

Error message indicating why the operation failed.

ErrorResponse

Error response indicates Logic service is not able to process the incoming request. The error property contains the error details.

Name Type Description
error

ErrorProperties

The error properties.

ParameterType

The parameter type.

Value Description
NotSpecified
String
SecureString
Int
Float
Bool
Array
Object
SecureObject

ResourceReference

The resource reference.

Name Type Description
id

string

The resource id.

name

string

Gets the resource name.

type

string

Gets the resource type.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

WorkflowOutputParameter

The workflow output parameter.

Name Type Description
description

string

The description.

error

Gets the error.

metadata

The metadata.

type

ParameterType

The type.

value

The value.

WorkflowRun

The workflow run.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.code

string

Gets the code.

properties.correlation

Correlation

The run correlation.

properties.correlationId

string

Gets the correlation id.

properties.endTime

string (date-time)

Gets the end time.

properties.error

Gets the error.

properties.outputs

<string,  WorkflowOutputParameter>

Gets the outputs.

properties.response

WorkflowRunTrigger

Gets the response of the flow run.

properties.startTime

string (date-time)

Gets the start time.

properties.status

WorkflowStatus

Gets the status.

properties.trigger

WorkflowRunTrigger

Gets the fired trigger.

properties.waitEndTime

string (date-time)

Gets the wait end time.

properties.workflow

ResourceReference

Gets the reference to workflow version.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

WorkflowRunTrigger

The workflow run trigger.

Name Type Description
code

string

Gets the code.

correlation

Correlation

The run correlation.

endTime

string (date-time)

Gets the end time.

error

Gets the error.

inputs

Gets the inputs.

inputsLink

ContentLink

Gets the link to inputs.

name

string

Gets the name.

outputs

Gets the outputs.

outputsLink

ContentLink

Gets the link to outputs.

scheduledTime

string (date-time)

Gets the scheduled time.

startTime

string (date-time)

Gets the start time.

status

WorkflowStatus

Gets the status.

trackedProperties

Gets the tracked properties.

trackingId

string

Gets the tracking id.

WorkflowStatus

The workflow status.

Value Description
NotSpecified
Paused
Running
Waiting
Succeeded
Skipped
Suspended
Cancelled
Failed
Faulted
TimedOut
Aborted
Ignored